# Function useDeepId

- useDeepId(start, ...path): {
  data: Id;
  error?: any;
  loading: boolean;
  }

- #### Parameters

  - start: QueryLink | DeepClientStartItem
  - `Rest`...path: DeepClientPathItem[]

  #### Returns {
  data: Id;
  error?: any;
  loading: boolean;
  }

  - ##### data: Id

  - ##### `Optional` error?: any

  - ##### loading: boolean

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:2128